[or-cvs] r10268: [darcs-to-svn @ add makexpi.sh] Original author: squires at pob (torbutton/trunk)

squires at seul.org squires at seul.org
Tue May 22 05:25:35 UTC 2007


Author: squires
Date: 2007-05-22 01:25:34 -0400 (Tue, 22 May 2007)
New Revision: 10268

Added:
   torbutton/trunk/makexpi.sh
Log:
[darcs-to-svn @ add makexpi.sh]

Original author: squires at pobox.com
Date: 2006-10-21 19:40:03+00:00

Added: torbutton/trunk/makexpi.sh
===================================================================
--- torbutton/trunk/makexpi.sh	2007-05-22 05:25:28 UTC (rev 10267)
+++ torbutton/trunk/makexpi.sh	2007-05-22 05:25:34 UTC (rev 10268)
@@ -0,0 +1,28 @@
+#!/bin/bash
+APP_NAME=torbutton
+VERSION=`grep em:version src/install.rdf | cut -d\" -f2`
+XPI_NAME=$APP_NAME-$VERSION.xpi
+
+if [ -e "pkg/$XPI_NAME" ]; then
+  echo pkg/$XPI_NAME already exists.
+  exit 1
+fi
+
+# create jar file (we're just storing files here)
+echo ---------- create $APP_NAME.jar file ----------
+cd src/chrome
+zip -r0 ../../$APP_NAME.jar ./
+cd ../..
+
+# create .xpi
+echo ---------- create $APP_NAME.xpi ----------
+cd src
+echo zip -9r ../pkg/$XPI_NAME ./ -x chrome/\*
+zip -9r ../pkg/$XPI_NAME ./ -x "chrome/*"
+mv ../$APP_NAME.jar ./chrome
+zip -9m ../pkg/$XPI_NAME chrome/$APP_NAME.jar
+cd ..
+
+#zip -9m ../../downloads/$sXpiName  chrome/$APP_NAME.jar
+#zip -9  ../../downloads/$sXpiName  install.rdf
+#cd ..



More information about the tor-commits mailing list